<?php 
require_once(dirname(dirname(__FILE__))."/funcoes.php");
protegeArquivo(basename(__FILE__));
loadJS('jquery-validate');
loadJS('jquery-validate-messages');
$sessao = new sessao();
$senhaCli=$sessao->getVar('iduser');
$idLabo=$sessao->getVar('idLabo');
$nomeOperador=$sessao->getVar('nomeuser');
//echo("Operador: $nomeOperador idlabo=$idLabo tela=$tela<br>");

switch ($tela):

    case 'telaGeral':
        echo '<h2>Selecione um código na lista, digite o item e clique salvar.</h2>';
		
		if (get('codigo') !== ""):
          $codigo = get('codigo');
		  //echo("codigo=$codigo<br>");
		  $generica=new tabelagenerica();
			$generica->tabela="determinacoes";
			$generica->campos_valores = array(
			    "det_tit1" => NULL,
			    "det_tit2" => NULL,
			    "det_tit3" => NULL,
			    "det_sigla" => NULL,
			);
			$generica->extras_select =" where det_sigla='".$codigo."'";
			$generica->selecionaCampos($generica);
			while ($res = $generica->retornaDados()):
			 $titulo1=$res->det_tit1;
			 $titulo2=$res->det_tit2;
			 $titulo3=$res->det_tit3;
            endwhile;                
        endif;		
		
		if (post('salvar') !== ""):

		  echo("salvar<br>");
		  $codigo=post('codigo');
		  $titulo1=post('titulo1');
		  $titulo2=post('titulo2');
		  $titulo3=post('titulo3');
		  
		  
	         //vai limpar a tabela temporaria
			$sql=" update determinacoes set det_tit1='$titulo1', det_tit2='$titulo2', det_tit3='$titulo3' where  det_sigla='".$codigo."'";
			$userNota = new generica();
			$userNota->campos_valores = $sql;				 
			$userNota->inserirEspecial($userNota);



        endif;

		
        loadCSS('data-table',NULL,TRUE);
        loadJS('jquery-datatable');    

        ?>
        <script type="text/javascript">
            $(document).ready(function(){
               $("#listausers").dataTable({
                "oLanguage": {
                    "sZeroRecords": "Nenhum dado econtrado para exibição",
                    "sInfo": "Mostrando _START_ a _END_ de _TOTAL_ de registros",
                    "sInfoEmpty": "Nenhum registro para ser exibido",
                    "sInfoFiltered": "(filtrado de _MAX_ registros no total)",
                    "sSearch": "Pesquisar",
                },
                "sScrollY": "300px",
                "sScrollX": "350px",
                "bPaginate": false,
                "aaSorting": [[0, "asc"]] 
               }); 
            });
			<!--colocar estes asteriscos para ficar sempre com 12 caracteres e o resto sera a ida do lab GATO MIAU-->
        </script>
		     <form class="userform" method="post" action="">
			 Código:
			 <input type="text" size="2" name="codigo" maxlength="2" readonly="readonly" value="<?php echo $codigo;?>" /></td>	
			 <input type="text" size="10" name="titulo1" maxlength="10"  value="<?php echo $titulo1;?>" /></td>	
			 <input type="text" size="10" name="titulo2" maxlength="10"  value="<?php echo $titulo2;?>" /></td>	
			 <input type="text" size="10" name="titulo3" maxlength="10"  value="<?php echo $titulo3;?>" /></td>	
			  <input type="submit"  name="salvar" value="Salvar" /></td>	

        <table cellspacing="0" cellpadding="0" border="0" class="display" id="listausers">
            <thead>
                <tr>
                    <th>Sigla</th><th>Titulo1</th><th>Titulo2</th><th>Titulo3</th>
                </tr>
            </thead>
            <tbody>
            <?php 
			$generica=new tabelagenerica();
			$generica->tabela="determinacoes";
			$generica->campos_valores = array(
			    "det_tit1" => NULL,
			    "det_tit2" => NULL,
			    "det_tit3" => NULL,
			    "det_sigla" => NULL,
			);
			$generica->extras_select =" order by det_sigla";
			$generica->selecionaCampos($generica);
			$registros=0;
			while ($res = $generica->retornaDados()):
             echo '<tr>';
             //printf('<td>%s</td>',$res->det_sigla);
			 printf('<td>%s',$res->det_sigla);
			 printf('<a href="?m=ajustarDeterminacoes&t=telaGeral&codigo=%s" title="Editar"><img src="images/edit.png" alt="Editar" /></a></td>',$res->det_sigla);
             printf('<td>%s</td>',$res->det_tit1);
             printf('<td>%s</td>',$res->det_tit2);
             printf('<td>%s</td>',$res->det_tit3);
             echo '</tr>';
			 
            endwhile;                
            ?>
            </tbody>
			
        </table>
		<br>Orientação: Esta tela nao tem edição nem exclusão portanto use a inclusão com certo cuidado e atenção.
        </form>  
        <?php        
    break;
    
	case 'editarDetes':
	
	
	
	break;
	
	

	default:
		  echo '<p>A tela solicitada não existe.</p>';
		break;
endswitch;
?>